% recalculate the statistics found in the paper

EXP1 = load('aaai10_humanCotraining_exp1_dataset.csv');

sid.color_x1view = unique(EXP1(find(EXP1(:,1) == 1),2));
sid.color_x2view = unique(EXP1(find(EXP1(:,1) == 2),2));

n.color_x1view = length(sid.color_x1view);
n.color_x2view = length(sid.color_x2view);

acc.color_x1view = [];
acc.color_x2view = [];


% single x1 view , determine accuracy

for i = 1:length(sid.color_x1view)

  % get subject id
  s = sid.color_x1view(i);

  % get subject results
  r = EXP1(find(EXP1(:,2) == s),3:end);

  % determine clusters
  c1 = find(r(:,1) < .3 & r(:,3) == 0);
  c2 = find(r(:,1) > .3 & r(:,1) < .7 & r(:,3) == 0);
  c3 = find(r(:,1) > .7 & r(:,3) == 0);

  % calculate accuracy
  correct(1) = length(find(r(c1,4) == -1));
  correct(2) = length(find(r(c2,4) ==  1));
  correct(3) = length(find(r(c3,4) == -1));
  
  acc.color_x1view(i,1) = sum(correct)/(length(c1)+length(c2)+length(c3));

end

fprintf('mean accuracy on x1-view: %0.1f\n',mean(acc.color_x1view)*100);


% single x2 view , determine accuracy

for i = 1:length(sid.color_x2view)

  % get subject id
  s = sid.color_x2view(i);

  % get subject results
  r = EXP1(find(EXP1(:,2) == s),3:end);

  % determine clusters
  c1 = find(r(:,2) < .3 & r(:,3) == 0);
  c2 = find(r(:,2) > .3 & r(:,2) < .7 & r(:,3) == 0);
  c3 = find(r(:,2) > .7 & r(:,3) == 0);

  % calculate accuracy
  correct(1) = length(find(r(c1,6) ==  1));
  correct(2) = length(find(r(c2,6) == -1));
  correct(3) = length(find(r(c3,6) ==  1));
  
  acc.color_x2view(i,1) = sum(correct)/(length(c1)+length(c2)+length(c3));

end

fprintf('mean accuracy on x2-view: %0.1f\n',mean(acc.color_x2view)*100);
